Payments
All endpoints use:
Authorization: Bearer <merchant_private_key>Content-Type: application/jsonCreate payment
Section titled “Create payment”POST /api/v1/payments| Parameter | Type | Required | Description |
|---|---|---|---|
product |
string | Yes | Product name, 2 to 255 characters |
amount |
integer | Yes | Amount in minor currency units |
currency |
string | Yes | Currency code, 3 to 4 characters |
order_number |
string | No | Merchant order number |
callback_url |
string | No | Callback URL |
redirect_success_url |
string | No | Success redirect URL |
redirect_fail_url |
string | No | Failure redirect URL |
extra_return_param |
string | No | Additional merchant data |
locale |
string | No | Payment page locale |
card |
object | No | Card data for H2H |
customer |
object | No | Customer data |
When card is present, all fields are required:
| Parameter | Required |
|---|---|
pan |
Yes |
expires |
Yes |
holder |
Yes |
cvv |
Yes |
Customer name fields are name and surname.
List payments
Section titled “List payments”GET /api/v1/paymentsGet payment
Section titled “Get payment”GET /api/v1/payments/{token}By order number:
GET /api/v1/payments?order_number={order_number}Confirm payment
Section titled “Confirm payment”POST /api/v1/payments/{token}/confirmDecline payment
Section titled “Decline payment”POST /api/v1/payments/{token}/declineCancel payment
Section titled “Cancel payment”POST /api/v1/payments/{token}/cancel